Hi Everyone,

Now a days, different types of kernel versions are available in SMP and its little bit confusing to understand the relation between these kernel and Netweaver 7.X. 

Netweaver 7.4 comes with many new features/capabilities.

http://scn.sap.com/docs/DOC-58352

https://help.sap.com/saphelp_nw74/helpdata/en/8a/20f67a23c547a694c595c3195c1b0f/frameset.htm

To utilize the full feature and functionalities of this, AS ABAP 7.4 deliver with new version of kernel regularly.

Also, version of the kernel also depends upon the SP level of Netweaver 7.4. Now, user can utilize the complete HANA as well as other features with minimal disruption by simply applying SAP NetWeaver support packages. All dependencies between support package and the SAP kernel release are completely taken into account by the installation and update tools so that no manual interactions are required when performing.

e.g.

SAP NetWeaver 7.4 SP0 was delivered with kernel 738

SAP NetWeaver 7.4 SP2 requires kernel 740 as a minimal version

SAP NetWeaver 7.4 SP5 requires kernel 741 as a minimal version

SAP NetWeaver 7.4 SP8 requires kernel 742 as a minimal version

Note: No new kernel versions will be required as minimal version for support packages of SAP NetWeaver 7.4 after SP8. So, if we are going to upgrade SP8 to higher SPs, we don’t need to upgrade our kernel.

Similarly, if we are going to upgrade our system from SP5 to SP8, we have to upgrade our kernel version.

From Nov,15 Netweaver 7.5 version is released. SAP has also defined the minimal version of kernel to use Netweaver 7.5 i.e. kernel 745. Also, these kernels are also the downward compatible kernel(DCK) for NW 7.4 later on. It is available as DCK for all NW 7.4 support packages from March 2016. New kernel patches for kernel 742 will be provided until end of Q1 2017.

1969546 – Release Roadmap for Kernel 74x and 75x


Below are the chart for the Netweaver 7.4 SP stack and their minimal kernel version.


SAPNetWeaver 7.4 SP Stack

Minimal kernel version

Release Date

SP02

740

May 2013

SP03

740

July 2013

SP04

740

September 2013

SP05

741

December 2013

SP06

741

March 2014

SP07

741

June 2014

SP08

742

September 2014

SP09

742

November 2014

SP10

742

March 2015

all further SPs

742

Q2 2015 and later

SOFTWARE LOGISTICS TOOLSET Those SAP NetWeaver 7.4 support packages (SPs) that require a new minimal kernel version can’t be implemented using the SAP Support Package Manager (SPAM). Instead, these SPs will be updated using the SAP Software Update Manager (SUM).The first SP for which this applies is SAP NetWeaver 7.4 SP05. You can find SUM documentation on SAP Service Marketplace under > Software Logistics Toolset > Software Logistics Toolset 1.0 > Software Update Manager (SUM).

Chart for kernel release and maintenance date with DCK.

Kernel Version

Date for DCK release

End of Maintenance

740

July 2014

741

July 2014

Q3 2015

742

Q2 2015

Q1 2017

745

Q1 2016

Tbd

Hope this will help you.

Thanks,

Shyam Kumar

To report this post you need to login first.

8 Comments

You must be Logged on to comment or reply to a post.

    1. Isaias Freitas

      Hello Neeraj,

      You can use certain kernel releases only with certain SAP_BASIS releases. Thus, I would say that there is a direct dependency between kernel and NW.

      Cheers!

      (1) 

Leave a Reply